package cn.superdesk.uniorder.service.channel;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.channel.UnifiedChannelSync;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @CreateDate: 2022/3/22 2:19 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/22 2:19 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedChannelSyncService extends BaseService<UnifiedChannelSync> {

    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(UnifiedChannelSync entity);

    int updateByPrimaryKeySelective(UnifiedChannelSync entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    UnifiedChannelSync findById(Long id);

    @Deprecated
    PageInfo<UnifiedChannelSync> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<UnifiedChannelSync> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addUnifiedChannelSync(UnifiedChannelSync entity);

    void updateUnifiedChannelSync(UnifiedChannelSync entity);

    void deleteUnifiedChannelSync(Long id);

    UnifiedChannelSync findUnifiedChannelSyncById(Long id);

    R<List<UnifiedChannelSync>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


    UnifiedChannelSync findUnifiedChannelSyncByChannelId(Long id);


    /***************************************************** 关于 UnifiedChannelSync kafka同步 start *****************************************************/
    void deleteReceiveUnifiedChannelSync(String message);

    void mergeReceiveUnifiedChannelSync(String message);
    /***************************************************** 关于 UnifiedChannelSync kafka同步   end *****************************************************/
}
